Package org.mariadb.jdbc.message.server

## Class PrepareResultPacket

- java.lang.Object
- - org.mariadb.jdbc.message.server.PrepareResultPacket

All Implemented Interfaces:
  `Completion`, `ServerMessage`

Direct Known Subclasses:
  `CachedPrepareResultPacket`

    public class PrepareResultPacket
    extends Object
    implements Completion

See https://mariadb.com/kb/en/com_stmt_prepare/#COM_STMT_PREPARE_OK

### Field Summary

Fields
`protected int` `statementId`

### Constructor Summary

Constructors
`PrepareResultPacket​(org.mariadb.jdbc.client.ReadableByteBuf buffer, PacketReader reader, Context context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close​(org.mariadb.jdbc.client.Client con)`
`void` `decrementUse​(org.mariadb.jdbc.client.Client con, ServerPreparedStatement preparedStatement)`
`ColumnDefinitionPacket[]` `getColumns()`
`ColumnDefinitionPacket[]` `getParameters()`
`int` `getStatementId()`
`void` `setColumns​(ColumnDefinitionPacket[] columns)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### statementId

    protected int statementId

### Constructor Detail

#### PrepareResultPacket

    public PrepareResultPacket​(org.mariadb.jdbc.client.ReadableByteBuf buffer,
                               PacketReader reader,
                               Context context)
                        throws IOException

Throws:
  `IOException`

### Method Detail

#### close

    public void close​(org.mariadb.jdbc.client.Client con)
               throws SQLException

Throws:
  `SQLException`

#### decrementUse

    public void decrementUse​(org.mariadb.jdbc.client.Client con,
                             ServerPreparedStatement preparedStatement)
                      throws SQLException

Throws:
  `SQLException`

#### getStatementId

    public int getStatementId()

#### getParameters

    public ColumnDefinitionPacket[] getParameters()

#### getColumns

    public ColumnDefinitionPacket[] getColumns()

#### setColumns

    public void setColumns​(ColumnDefinitionPacket[] columns)